/*****************************************************************************/
/*
/* Common
/*
/*****************************************************************************/

/* Global Reset */
* {
  margin: 0;
  padding: 0;
}

html, body { height: 100%; }

body {
  background-color: #eee;
  color: #111111;
  font-size: 18px;
  font-family: "Open Sans","Helvetica Neue",Helvetica,Arial,sans-serif;
  font-weight: 300;
}

strong {
  font-weight: 500;
}

h1, h2, h3, h4, h5, h6 {
  font-size: 100%;
  font-family: "Open Sans","Helvetica Neue",Helvetica,Arial,sans-serif;
}
h2, h3 {
  margin-top: 1.2em;
}
.byline {
  font-size:.85em;
}
.site {
  background-color: #fff;
  box-shadow: 2px 2px 3px #ccc;
}

.header {
    background-color: white;
    padding: .8rem 6rem .8rem 2.5rem;
    box-shadow: 0 0 3px #aaa;
}
.header ul {
  float:right; list-style-type: none; margin: .6rem 0;
}
.header li {
  float: right; padding: 0 5px;
}
.header h1 {
  font-size: 1.6rem;
  padding: 0.6rem 0;
}

h1 {
  font-size: 1.8em;
  font-weight: 400;
}

h2 {
  font-size: 1.4em;
  font-weight: normal;
  margin-top:1.4em;
  margin-bottom:1em;
}
h3 {
  font-size: 1.3em;
  font-weight: 400;
}
h4 {
  font-size: 1.2em;
}

p {
  font-family: "Helvetica Neue", Helvetica, sans-serif;
  line-height: 1.5;
  color: #444;
  margin-top: 10px;
  margin-bottom: 10px;
  padding: 0;
 }

a         { color: #4078c0; text-decoration: none; }
a:visited { color: #4078c0; text-decoration: none; }
a:hover   { color: #264773; }

.examples a, a.example {
  color: #00c;
  padding: 0 .3em;
  font-family: Monaco, 'Courier New', 'DejaVu Sans Mono', 'Bitstream Vera Sans Mono', monospace;
  font-size: .9em;
  display: block;
  background-color: #333;
  border: 1px solid #ddd;
  background-color: #fafafa;
  padding: .8em;
  border-radius: 4px;
}

/*****************************************************************************/
/* GitHub corner <https://github.com/tholman/github-corners>, MIT License
/* Copyright (c) 2016 Tim Holman - http://tholman.com
/*****************************************************************************/

.github-corner:hover .octo-arm {
  animation:octocat-wave 560ms ease-in-out
}
@keyframes octocat-wave{
  0%, 100%{
    transform:rotate(0)
  }20%,60%{
    transform:rotate(-25deg)
  }40%,80%{
    transform:rotate(10deg)
  }
}
@media (max-width:400px){
  .github-corner {
    display: none;
  }
  .header {
    background-color: white;
    padding-right: 2.5rem;
  }
}
@media (max-width:500px){
  .github-corner:hover .octo-arm{
    animation:none
  }
  .github-corner .octo-arm{
    animation:octocat-wave 560ms ease-in-out
  }
}
/*****************************************************************************/
/*
/* Home
/*
/*****************************************************************************/
.posts {
  margin-bottom: 2em;
}

.posts li {
  line-height: 1.75em;
}

.posts span {
  color: #aaa;
  font-family: Monaco, "Courier New", monospace;
  font-size: 80%;
}

/*****************************************************************************/
/*
/* Site
/*
/*****************************************************************************/

.en:lang(en), .nb:lang(nb), .nn:lang(nn){
    font-weight: bold;
}
abbr {
  border-bottom: 1px dotted #bbb;
  cursor: help;
}
.site {
  margin: 0;
  max-width: 50rem;
  line-height: 1.5em;
  padding: 0.5rem 2.5rem;
  box-sizing: border-box;
}

@media only screen and (min-width: 50rem) {
  .site {
    margin: 2.5rem auto 2rem;
    padding: 2rem 2.5rem;
  }
}
.header a {
  font-weight: 400;
  text-decoration: none;
}

.header a {
  color: #a00;
}

.header a:hover {
  color: #000;
}

.header a.extra {
  color: #aaa;
  margin-left: 1em;
}

.header a.extra:hover {
  color: #000;
}

.meta {
  color: #aaa;
}

footer {
  font-size: 80%;
  color: #666;
  border-top: 4px solid #eee;
  margin-top: 2em;
  overflow: hidden;
}

footer .contact {
  float: left;
  margin-right: 3em;
}

footer .contact a {
  color: #8085C1;
}

footer .rss {
  margin-top: 1.1em;
  margin-right: -.2em;
  float: right;
}

footer .rss img {
  border: 0;
}

ul {
  margin: 1em 0 0 2em;
}

/*****************************************************************************/
/*
/* Posts
/*
/*****************************************************************************/

/* standard */
.post pre {
  border: 1px solid #ddd;
  background-color: #fafafa;
  padding: .8em;
  border-radius: 4px;
  overflow:auto;
}

.post ul, .post ol {
  margin-left: 1.35em;
}

.post code, .post pre {
  /*border: 1px solid #ddd;
  border-radius: 3px;
  background-color: #fafafa;*/
  font-family: 'Roboto Mono', Monaco, 'Courier New', 'DejaVu Sans Mono', 'Bitstream Vera Sans Mono', monospace;
  font-size: 80%;
  color: #666;
  line-height: 1.2;
}

.post pre code {
  border: none;
}

/* terminal */
.post pre.terminal {
  border: 1px solid #000;
  background-color: #333;
  color: #FFF;
}

.post pre.terminal code {
  background-color: #333;
}

.post img {
  width: 80%;
  display: block;
  margin:0 auto;
}

.post-meta {
  font-size: 85%;
  margin: 0;
}
.post-title {
  margin-bottom: 4px;
}

#post-nav {
  padding: 3em 0;
}
#post-nav a.prev {
  float: left; }

#post-nav a.next {
  float: right; }

table {
  font-family: "Helvetica Neue", Helvetica, sans-serif;
  line-height: 1.5;
  border-color: gray;
  border-spacing: 2px;
  font-size: 14px;
  border-collapse: collapse;
  border-spacing: 0;
  border-left: 4px solid #eee;
}

table th {
  text-align: left;
  color: #09091a;
  padding: 10px;
  text-align: left;
  white-space: nowrap;
}

table td {
  border-bottom: 1px solid #d8d9d9;
  border-left: 0;
  border-right: 0;
  border-top: 1px solid #d8d9d9;
  padding: 12px 10px;
  border-color: #e6e6e9;
  color: #666;
}

